org.apache.tomcat.util.scan

## Class JarFactory

- java.lang.Object
- - org.apache.tomcat.util.scan.JarFactory

-     public class JarFactory
      extends Object

  Provide a mechanism to obtain objects that implement `Jar`.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Jar` | `newInstance(URL url)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### newInstance

          public static Jar newInstance(URL url)
                                 throws IOException

      Throws:
        `IOException`

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.